# PI_Forward.pidl File Reference

Pre-compiled IDL source for typedefs in the PortableInterceptor module. More...

`import "OctetSeq.pidl";`
`import "StringSeq.pidl";`

Include dependency graph for PI_Forward.pidl:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | PortableInterceptor

## Typedefs

typedef string | ServerId
typedef string | ORBId
typedef CORBA::StringSeq | AdapterName
typedef CORBA::OctetSeq | ObjectId
typedef long | AdapterManagerId
typedef short | AdapterState

## Variables

typeprefix PortableInterceptor omg | org

## Detailed Description

Pre-compiled IDL source for typedefs in the PortableInterceptor module.

Id
  PI_Forward.pidl,v 1.11 2005/04/13 10:12:21 jwillemsen Exp

This file is used to generate PI_Forward.{h,cpp}, using the following command:

tao_idl.exe -o orig -Gp -Gd -Ge 1 -Sc -Sci -Wb,export_macro=TAO_Export -Wb,export_include=tao/TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" PI_Forward.pidl

and then:

cp orig/PI_ForwardC.{h,cpp} .

The code left in PI_ForwardC.{h,cpp}

## Typedef Documentation

typedef CORBA::Long PortableInterceptor::AdapterManagerId

typedef CORBA::StringSeq PortableInterceptor::AdapterName

typedef CORBA::Short PortableInterceptor::AdapterState

typedef CORBA::OctetSeq PortableInterceptor::ObjectId

typedef char * PortableInterceptor::ORBId

typedef char * PortableInterceptor::ServerId

## Variable Documentation

typeprefix PortableInterceptor omg PortableInterceptor::org